@echo off
rem 
rem tentative de traitement de masse, dans un repertoire, pour injection
rem automatique dans i-Parapheur
rem

if "%OS%" == "Windows_NT" setlocal

set "REPERTOIRE_SOURCE=C:\rep-source"
set "LETYPE=ACHATS"
set "LESOUSTYPE=Facture"
set "FICHIER=%REPERTOIRE_SOURCE%\toto.pdf"
set "DOCNAME=toto"
set "FILENAME=toto.pdf"
set "EMAIL_CONTACT=stephvast@gmail.com"

set "CURRENT_DIR=%cd%"
if exist "%CURRENT_DIR%\pushdociparapheur-1.7.jar" goto okPush
echo il me manque le programme pushdociparapheur-1.7.jar, on va en avoir
echo besoin pour pousser vers le i-Parapheur.
goto end
:okPush

set "EXECUTABLE=%CURRENTDIR%\pushdociparapheur-1.7.jar"
set "CONFIG=%CURRENTDIR%\conf.cf"
set CMD_LINE_ARGS=
:setArgs
if ""%1""=="""" goto doneSetArgs
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto setArgs
:doneSetArgs

java -jar %EXECUTABLE% --type "%LETYPE%" --sousType "%LESOUSTYPE%" --documentPrincipal "%FICHIER%" -V %PUBLIC% -i "%DOCNAME%" -n "%FILENAME%" -e "%EMAIL_CONTACT%" -v "%FICHIER%" -c "%CONFIG%"
rem     call .... %CMD_LINE_ARGS%

:end

