#!/bin/bash
REPERTOIRE_SOURCE="./tmp"
_Fichiers="${REPERTOIRE_SOURCE}/*.pdf"
LETYPE="ACHATS"
LESOUSTYPE="Facture"

for fullfile in $_Fichiers
do
	filename=$(basename "$fullfile")
	extension="${filename##*.}"
	docname="${filename%.*}"
	java -jar pushdociparapheur-1.7.jar --type "$LETYPE" --sousType "$LESOUSTYPE" --xPath "." --documentPrincipal "$fullfile" -V PUBLIC -i "$docname" -n "$filename" -e stephvast@gmail.com -v ./template-visuelPDF.pdf -c ./conf.cf
done

## si PESv2 attention au xPath, et visuel PDF
#
#java -jar pushdociparapheur-1.7.jar -T $LETYPE -t $LESOUSTYPE -d ../pushdocparapheur/PusherDeDoc.pdf -V PUBLIC -i pushdedoc -e stephvast@gmail.com -v ../pushdocparapheur/PusherDeDoc.pdf -c ./conf.cf
